Skip to main content
Alerting & Response/Alert Channels & Integrations

ListAlertIntegrations

List all alert integrations with managed platforms

GET/api/v1/alerting/integrations

Operation ID

ListAlertIntegrations

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • page
    Integer

    Page number for pagination (1-based) Page number for pagination (1-based)

    Example: 0

  • size
    Integer

    Page size for pagination Page size for pagination

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of alert integration entries

    Example: (nested array)

    • uuid
      String

      Unique identifier of the integration entry

      Example: integ-001

    • platformUuid
      String

      Platform UUID this integration connects to

      Example: plat-001-abc

    • targetState
      String

      Desired integration state (enabled or disabled)

      Example: enabled

    • currentState
      String

      Actual current state of the integration

      Example: enabled

    • webhookUrl
      String

      Webhook URL configured on the platform

      Example: https://zcf.example.com/api/v1/alerting/receive

    • webhookId
      String

      Webhook identifier on the platform side

      Example: wh-plat-001

    • lastReconcileAt
      String

      Timestamp of the last reconciliation check

      Example: 2026-01-15T08:00:00Z

    • driftCount
      Integer

      Number of detected configuration drifts

      Example: 20

    • lastError
      String

      Last error message from reconciliation

      Example: timeout after 30s

    • createDate
      String

      Timestamp when the integration was created

      Example: 2026-01-15T08:00:00Z

    • lastOpDate
      String

      Timestamp of the last operation on the integration

      Example: 2026-01-15T08:00:00Z

    • platformName
      String

      Human-readable name of the platform

      Example: Production ZStack

    • productType
      String

      Product type of the platform

      Example: zstack

    • lastReceiveAt
      String

      Last receive at for this resource

      Example: 2026-01-15T08:00:00Z

    • parseFailureCount
      Integer

      Parse failure count for this resource

      Example: 10

    • unknownEventCount
      Integer

      Unknown event count for this resource

      Example: 10

    • defaultEventCatalogCount
      Integer

      Default event catalog count for this resource

      Example: 10

  • total
    Integer

    Total number of integrations

    Example: 3

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20

  • Change Time

    AddedResponse fields defaultEventCatalogCount, lastReceiveAt, parseFailureCount...
    View API